summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-10-10 21:19:56 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-10-12 23:13:15 +0200
commit83cbb66d1cb4a7b7306bab52afbc0306bdfcf83b (patch)
treeb45546dce283baad7492c85797d5bc6f8e535918 /kde-apps/calendarjanitor
parentkde-frameworks: Add KDE Frameworks 5.63.0 (diff)
downloadgentoo-83cbb66d1cb4a7b7306bab52afbc0306bdfcf83b.tar.gz
gentoo-83cbb66d1cb4a7b7306bab52afbc0306bdfcf83b.tar.bz2
gentoo-83cbb66d1cb4a7b7306bab52afbc0306bdfcf83b.zip
kde-apps: Add KDE Applications 19.08.2
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-apps/calendarjanitor')
-rw-r--r--kde-apps/calendarjanitor/Manifest1
-rw-r--r--kde-apps/calendarjanitor/calendarjanitor-19.08.2.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/kde-apps/calendarjanitor/Manifest b/kde-apps/calendarjanitor/Manifest
index 99c173d6d31..a89251d00c3 100644
--- a/kde-apps/calendarjanitor/Manifest
+++ b/kde-apps/calendarjanitor/Manifest
@@ -1,2 +1,3 @@
DIST akonadi-calendar-tools-19.04.3.tar.xz 223328 BLAKE2B 47f16a483f49f27d203db3b0627532b7b928f18bead7e22176b340698e7c2e52322139ca92cae9a776b239d9d741656ec3c943eb997c1dd5064da4d818610474 SHA512 d4c61f04861b26fb01b0cd76056fa5107e0257e7b2c118596ed40d87a3cffa8526889bc82b45f9d3cc61d1d4d25518bbeca56edaa028d02f779b7880df2522e5
DIST akonadi-calendar-tools-19.08.1.tar.xz 223888 BLAKE2B 1b14e93ffbc23f17e9cdfa004faeb0206bdbebc00bf6424c5327a63f3bec59cf3ebea84846204ea724d9d1bbd1f3ec940407697df66a1ab50a306cf66a3ea6f0 SHA512 f0289f852bcd0787f919d179e81a916c1500ff1b37c16b5af77b3aadda30e49b8022cca432ab29a1efe5dcf56cfa495ada00ab042187058b8ba4c8fcc1b1a4cf
+DIST akonadi-calendar-tools-19.08.2.tar.xz 224508 BLAKE2B 05dcffb5eb960f4bda16075e8f729089390e76b32f0ca6e6ed9a380a69c380ec6796a2a801a04a49a00213cc2891ce3dd01dcb39419f0e13d80bc2b6f0ca0809 SHA512 ff57af694d8fdd6c3bf08c0bdfb58d5cf2e54cccc74fcef1a74321fd1109b2fc0f4a902597fd2461fe91e6e17dd457db50f6b1d22b468afd391175cea0822627
diff --git a/kde-apps/calendarjanitor/calendarjanitor-19.08.2.ebuild b/kde-apps/calendarjanitor/calendarjanitor-19.08.2.ebuild
new file mode 100644
index 00000000000..bd5802bd364
--- /dev/null
+++ b/kde-apps/calendarjanitor/calendarjanitor-19.08.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_HANDBOOK="forceoptional" # FIXME: Check back for doc in release
+KDE_TEST="false"
+KMNAME="akonadi-calendar-tools"
+inherit kde5
+
+DESCRIPTION="Tool to scan calendar data for buggy instances"
+LICENSE="GPL-2+ handbook? ( FDL-1.2+ )"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kcalendarcore)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_kdeapps_dep akonadi)
+ $(add_kdeapps_dep akonadi-calendar)
+ $(add_kdeapps_dep calendarsupport)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ !kde-apps/kdepim-l10n
+"
+
+src_prepare() {
+ kde5_src_prepare
+
+ cmake_comment_add_subdirectory doc konsolekalendar
+ sed -i -e "/console\.categories/ s/^/#DONT/" CMakeLists.txt || die
+
+ # delete colliding konsolekalendar translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ rm -f po/*/konsolekalendar.po || die
+ rm -rf po/*/docs/konsolekalendar || die
+ fi
+}